Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038100
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2018-03-12 12:162018-05-09 19:29
ReporterJONHMView Statuspublic 
Assigned Tojarmendariz 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisioncdfad37a0634
ProjectionnoneETAnoneTarget Version3.0PR18Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038100: Link To Parent trees hide isActive=false records when a filter is set

DescriptionOn a tab configured with a Tree Structure "Link To Parent" records with IsActive=false and a filter applied are hidden when tree view is enabled. Those records are visible in normal grid view.
Steps To Reproduce1 As Openbravo Admin go to Cost Adjustment window and check if there is any with several lines.

2 If there is no cost adjustment, go to Product window and select a Stocked Item with some transactions. If there are cost adjustments pick one and go to step 6.
-- Cerveza Lager
3 Go to Transactions Tab and chose a receipt transaction that has had some shipments and receipts after it.
-- Receipt Line: 10000419 - 11-04-2017 - Bebidas Alegres, S.L. - 20 - Cerveza...
4 Click on Manual Cost Adjustemnt Button and set
-- Amount 200000
-- Incremental true
-- Unit cost false
5 Go back to cost adjustment window and check that there is one now

6 On the lines tab open the tree mode and check that all the lines are visible
7 Pick one child line and in database set the isActive column to N.
8 Apply a filter by currency EUR and check that the line is missing in the Tree mode.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037700 closedjarmendariz Link To Parent trees hide isActive false records 
related to defect 0038327 acknowledgedplatform Link to parent tree item ordering changes when a filter is set 

-  Notes
(0103802)
hgbot (developer)
2018-04-11 08:36

Repository: erp/devel/pi
Changeset: cdfad37a0634621297530e5e88184200393f3a5e
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Apr 10 18:43:21 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cdfad37a0634621297530e5e88184200393f3a5e [^]

Fixed bug 38100: Link to parent trees hides non-active records when filtering.

Fixed by adding a parameter to prevent filtering of non-active records in
tree views. To ensure this parameter is used only in tree grid views, it is
passed as a parameter instead of hard-coding it in the DatasourceService.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-view-grid.js
---
(0103899)
caristu (developer)
2018-04-16 10:45

Code reviewed + tested OK.
(0104367)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-03-12 12:16 JONHM New Issue
2018-03-12 12:16 JONHM Assigned To => platform
2018-03-12 12:16 JONHM Modules => Core
2018-03-12 12:16 JONHM Triggers an Emergency Pack => No
2018-03-12 12:17 JONHM Relationship added related to 0037700
2018-03-22 07:27 alostale Priority high => urgent
2018-03-22 07:27 alostale Status new => acknowledged
2018-03-22 07:27 alostale Target Version => 3.0PR18Q3
2018-04-05 16:48 jarmendariz Assigned To platform => jarmendariz
2018-04-06 09:54 jarmendariz Status acknowledged => scheduled
2018-04-11 08:36 hgbot Checkin
2018-04-11 08:36 hgbot Note Added: 0103802
2018-04-11 08:36 hgbot Status scheduled => resolved
2018-04-11 08:36 hgbot Resolution open => fixed
2018-04-11 08:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cdfad37a0634621297530e5e88184200393f3a5e [^]
2018-04-11 08:37 jarmendariz Review Assigned To => caristu
2018-04-11 11:32 jarmendariz Relationship added related to 0038327
2018-04-16 10:45 caristu Note Added: 0103899
2018-04-16 10:45 caristu Status resolved => closed
2018-04-16 10:45 caristu Fixed in Version => 3.0PR18Q3
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104367


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker